local assets=
{
	Asset("ANIM", "anim/hat_slouch.zip"),
	
	Asset("IMAGE", "images/inventoryimages/hat_slouch.tex"),	
    Asset("ATLAS", "images/inventoryimages/hat_slouch.xml")
}

local function onequip(inst, owner) 
        owner.AnimState:OverrideSymbol("swap_hat", "hat_slouch", "swap_hat")
        owner.AnimState:Show("HAT")
        owner.AnimState:Show("HAT_HAIR")
        owner.AnimState:Hide("HAIR_NOHAT")
        owner.AnimState:Hide("HAIR")
        
        if owner:HasTag("player") then
			owner.AnimState:Hide("HEAD")
			owner.AnimState:Show("HEAD_HAIR")
		end
end

local function onunequip(inst, owner) 
        owner.AnimState:Hide("HAT")
        owner.AnimState:Hide("HAT_HAIR")
        owner.AnimState:Show("HAIR_NOHAT")
        owner.AnimState:Show("HAIR")

		if owner:HasTag("player") then
	        owner.AnimState:Show("HEAD")
			owner.AnimState:Hide("HEAD_HAIR")
		end
end


local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    inst:AddTag("hat")
    
    anim:SetBank("strawhat")
    anim:SetBuild("hat_slouch")
    anim:PlayAnimation("anim")    
        
    inst:AddComponent("inspectable")
	
	
    inst:AddComponent("insulator")
    inst.components.insulator:SetSummer()
		    inst.components.insulator:SetInsulation(TUNING.INSULATION_MED)
    
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/hat_slouch.xml"
	
	inst:AddComponent("dapperness")
	inst.components.dapperness.dapperness = 3/60
	
	    inst.components.insulator:SetInsulation(TUNING.INSULATION_MED)
    
    
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.HEAD
		    inst.components.equippable.dapperness = 3/60
    
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	        inst:AddComponent("waterproofer")
        inst.components.waterproofer:SetEffectiveness(TUNING.WATERPROOFNESS_MED)
	
	
    inst.components.insulator:SetInsulation(TUNING.INSULATION_MED)
	
	    inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("hat_slouchmini.tex")
    
    return inst
end

return Prefab( "common/inventory/hat_slouch", fn, assets) 
