local assets=
{
	Asset("ANIM", "anim/kukri.zip"),
	Asset("ANIM", "anim/swap_kukri.zip"),
	
	Asset("IMAGE", "images/inventoryimages/kukri.tex"),	
    Asset("ATLAS", "images/inventoryimages/kukri.xml")
}

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "swap_kukri", "swap_ham_bat")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end


local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    anim:SetBank("batbat")
    anim:SetBuild("kukri")
    anim:PlayAnimation("idle")
	    inst:AddTag("irreplaceable")
    
    inst:AddTag("sharp")

    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.SPEAR_DAMAGE*1)
    
    -------

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/kukri.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	    inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("kukrimini.tex")
    
    return inst
end

return Prefab( "common/inventory/kukri", fn, assets) 
