
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/sniper.zip" ),
}
local prefabs = { "hat_slouch", "kukri"}
local start_inv = { "hat_slouch", "kukri"}

local fn = function(inst)

	inst.components.sanity:SetMax(TUNING.WILSON_SANITY * 0.8)
	inst.components.health:SetMaxHealth(TUNING.WILSON_HEALTH * .8333333333333333333333 )
		inst.components.temperature.hurtrate = (TUNING.WILSON_HEALTH / TUNING.FREEZING_KILL_TIME) / 2
        inst.components.sanity.night_drain_mult = TUNING.WENDY_SANITY_MULT
        inst.components.sanity.neg_aura_mult = TUNING.WENDY_SANITY_MULT

	local s01Recipe = Recipe("hat_slouch", {Ingredient("silk", 6), Ingredient("pigskin", 1)}, RECIPETABS.DRESS, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0})
	s01Recipe.atlas = "images/inventoryimages/hat_slouch.xml"

	-- choose which sounds this character will play
	inst.soundsname = "woodie"

	-- a minimap icon must be specified
    inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("snipermini.tex")

	-- todo: Add an example special power here.
end

STRINGS.CHARACTER_TITLES.sniper = "The Sniper"
STRINGS.CHARACTER_NAMES.sniper = "Mun-Dee"
STRINGS.CHARACTER_DESCRIPTIONS.sniper ="*Less afraid of monsters and the dark\n*Brings a nifty Kukri\n*Able to take the heat"
STRINGS.CHARACTER_QUOTES.sniper = "\"Pink Cloud of Death\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
STRINGS.CHARACTERS.SNIPER = require "speech_sniper"

return MakePlayerCharacter("sniper", prefabs, assets, fn, start_inv)
